Subject: bug#62750: 29.0.50; Commands 'package-update' and 'package-update-all' should be called '*-upgrade'

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Apr 2023 09:22:03 -0400

>> It's annoyingly late to rename, but if we rename without compatibility
>> aliases (which seems to be an option since these are new in Emacs-29),
>> then I'd be in favor.
>
> What are compatibility aliases?  I must have missed something?

I thought we'd rename `package-update` to `package-upgrade` by adding
the new name and marking the old name as an obsolete alias (a
"compatibility alias").

I hadn't realized that `package-update` hasn't been in a release yet, so
we don't need such a compatibility alias.

        Stefan